Subject: Re: [X2Go-Dev] Bug#495: failure to reconnect after abrupt (CTRL-C / SIGINT) termination of x2goclient, corrupt x2go_sessions file?

From: Mike Gabriel <[email-masked]>
Date: Thu, 15 May 2014 07:30:49 +0000

Hi Robert,

On  Fr 09 Mai 2014 15:24:10 CEST, Robert Izzard wrote:

> Steps to repeat:
> 1) On the client, open a new desktop on the server using
> x2goclient. (I am running KDE but I doubt it matters).
> 2) On the client, press CTRL-C to stop x2goclient.
> 3) On the client, try to reconnect -- it fails with errors (which
> are very hard to copy-paste as they go so fast, this is a bug in
> the GUI):

> [...]

> In .x2go/C-SESSION_ID/session.log on the server, I now have the
> following text repeated over and over:
>
> Session: Suspending session at 'Fri May 9 15:08:49 2014'.
> [then hundreds or thousands of times, with later timestamps]

The above made me curious once more...

I have looked at the X2Go Server code that detects running, suspended  
and terminated sessions from NX session.log and I added several fixes  
[1, 2].

Similar fixes are available on the 4.0.1.x release branch [3], as well.

Do you think you can patch your X2Go Server installation and verify if  
the behaviour improves with those fixes? Here I was not able to resume  
a session several times, but now it works (with the same session).

Greets,
Mike

[1]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=59a4c563dcc0589c9d74834f7020990c642a3910
[2]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=4c72b8a242b54f465f3fed327b759c680f24bfaa
[3]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;hp=618505bdc73006b38b6e2345573abb4199684564;h=be77a7ddd48e2762783dfb6c1a6e4d9291bfbb48

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb